<div class="eui-u-p-none">
  <button
    type="button"
    *ngIf="expandable"
    class="elis-section-button elis-section-header eui-u-pl-xs eui-u-pv-m eui-u-mt-xl"
    (click)="toggleDisplay()"
    tabindex="0"
  >
    <div class="eui-u-flex eui-u-flex-align-items-center">
      <eui-icon-svg
        class="eui-u-mr-xs"
        [icon]="isVisible ? 'chevron-down:sharp' : 'chevron-forward:sharp'"
      ></eui-icon-svg>
      {{ sectionName }}
    </div>
  </button>
  <div *ngIf="!expandable" class="elis-ff-header eui-u-p-m eui-u-pl-xl">
    <h2>{{ sectionName }}</h2>
  </div>
  <div class="eui-u-display-block eui-u-flex-row" @slideInOut *ngIf="isVisible">
    <ng-content></ng-content>
  </div>
</div>
